Name: lvm
Version: 1.0.6
Release: alt2

Summary: Logical Volume Manager administration tools
License: GPL
Group: System/Kernel and hardware
Url: http://www.sistina.com/lvm/
Packager: Konstantin Volckov <goldhead@altlinux.ru>

Source: ftp://ftp.sistina.com/pub/LVM/current/%{name}_%version.tar.bz2

Patch0: lvm-1.0.3-evilinstall.patch
#Patch1: lvm-0.9-paths.patch
#Patch2: lvm-0.9-broken.patch
#Patch3: lvm-1.0.3-dietlibc.patch
#Patch4: lvm-1.0.3-dietllseek.patch
#Patch5: lvm-1.0.3-wrapper2.patch
Patch6: lvm-1.0.3-pvmove.patch
#Patch7: lvm-1.0.3-fixit.patch
Patch8: lvm-1.0.3-cookie.patch
Patch9: lvm-1.0.3-vgscanfix.patch

Requires: lib%name = %version-%release

%package -n lib%name
Summary: Shared LVM library
Group: System/Libraries
Conflicts: %name < 0:%version-%release

%package -n lib%name-devel
Summary: Development LVM library
Group: Development/C
Provides: %name-devel = %version-%release
Obsoletes: %name-devel
Requires: lib%name = %version-%release

%package -n lib%name-devel-static
Summary: Development static LVM library
Group: Development/C
Provides: %name-devel-static = %version-%release
Obsoletes: %name-devel-static
Requires: lib%name-devel = %version-%release

%description
LVM includes all of the support for handling read/write operations on
physical volumes (hard disks, RAID-Systems, magneto optical, etc.,
multiple devices (MD), see mdadd(8) or even loop devices, see losetup(8)),
creating volume groups (kind of virtual disks) from one or more physical
volumes and creating one or more logical volumes (kind of logical partitions)
in volume groups.

%description -n lib%name
This package contains shared LVM library.

%description -n lib%name-devel
This package contains development LVM library.

%description -n lib%name-devel-static
This package contains static LVM library.

%prep
%setup -q -n LVM
pushd %version
%patch0 -p2 -b .evilinstall
#%patch3 -p2 -b .diet
%patch6 -p2 -b .pvmove
#%patch7 -p2
%patch8 -p2
%patch9 -p2 -b .vgscanfix
chmod -R a+rX .
popd

%build
pushd %version
%define _sbindir /sbin
%configure --with-kernel_dir=/var/empty
%make_build
popd

%install
%makeinstall -C %version
%__mkdir_p $RPM_BUILD_ROOT%_includedir/%name
find %version/tools/lib/ -type f -name \*.h | while read f; do
	install -p -m644 "$f" $RPM_BUILD_ROOT%_includedir/%name/
done

# Relocate shared libraries from %_libdir/ to /lib/.
%__mkdir_p $RPM_BUILD_ROOT/lib
for f in $RPM_BUILD_ROOT%_libdir/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	%__ln_s -nf ../../lib/"$t" "$f"
done
mv $RPM_BUILD_ROOT%_libdir/*.so.* $RPM_BUILD_ROOT/lib/

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_sbindir/*
%_mandir/man?/*
%doc %version/{ABSTRACT,CHANGELOG,CONTRIBUTORS,FAQ,INSTALL,LVM-HOWTO,README,TODO,WHATSNEW}

%files -n lib%name
/lib/*

%files -n lib%name-devel
%_libdir/*.so
%_includedir/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Mon Oct 28 2002 Dmitry V. Levin <ldv@altlinux.org> 1.0.6-alt2
- Fixed libification and files layout (#0001481, #0001483).

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.6-alt1
- 1.0.6

* Mon Oct 28 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.5-alt2
- Fixed lvm

* Thu Oct 24 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.0.5-alt1
- 1.0.5
- Rebuilt in new environment

* Wed Dec 05 2001 Konstantin Volckov <goldhead@altlinux.ru> 0.9-ipl2mdk
- Rebuild for Sisyphus
- Some spec cleanup
- Added some Mandrake patches

* Thu Dec 21 2000 Dmitry V. Levin <ldv@fandra.org> 0.9-ipl1mdk
- 0.9.

* Sat Oct 28 2000 Dmitry V. Levin <ldv@fandra.org> 0.8final-ipl2mdk
- Fixed shared library.

* Mon Oct 23 2000 Dmitry V. Levin <ldv@fandra.org> 0.8final-ipl1mdk
- RE adaptions.

* Fri Sep 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8final-0.2mdk
- used srpm from Jan Niehusmann <jan@gondor.com> :
	- merged patches from Andreas Dilger <adilger@turbolinux.com>

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8final-0.1mdk
- clean files section
- used srpm from Jan Niehusmann <jan@gondor.com>
	- First lvm rpm for Mandrake distribution.
